Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityAIMoveThroughVillage

    java.lang.Object
      net.minecraft.src.EntityAIBase
          net.minecraft.src.EntityAIMoveThroughVillage

    public class EntityAIMoveThroughVillage

extends EntityAIBase

Constructor Summary
`EntityAIMoveThroughVillage(EntityCreature par1EntityCreature, float par2, boolean par3)`

Method Summary
`boolean` | `continueExecuting()` Returns whether an in-progress EntityAIBase should continue executing
`void` | `resetTask()` Resets the task
`boolean` | `shouldExecute()` Returns whether the EntityAIBase should begin execution.
`void` | `startExecuting()` Execute a one shot task or start executing a continuous task

Methods inherited from class net.minecraft.src.EntityAIBase
`getMutexBits, isContinuous, setMutexBits, updateTask`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityAIMoveThroughVillage

    public EntityAIMoveThroughVillage(EntityCreature par1EntityCreature,
                                      float par2,
                                      boolean par3)

Method Detail

### shouldExecute

    public boolean shouldExecute()

  Returns whether the EntityAIBase should begin execution.

  Specified by:
    `shouldExecute` in class `EntityAIBase`

### continueExecuting

    public boolean continueExecuting()

  Returns whether an in-progress EntityAIBase should continue executing

  Overrides:
    `continueExecuting` in class `EntityAIBase`

### startExecuting

    public void startExecuting()

  Execute a one shot task or start executing a continuous task

  Overrides:
    `startExecuting` in class `EntityAIBase`

### resetTask

    public void resetTask()

  Resets the task

  Overrides:
    `resetTask` in class `EntityAIBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD